// File created from ../../../src/bin/auth/auth_messages.mes on Mon Nov 18 2013 12:20

#ifndef AUTH_MESSAGES_H
#define AUTH_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace auth {

extern const isc::log::MessageID AUTH_AXFR_PROBLEM;
extern const isc::log::MessageID AUTH_AXFR_UDP;
extern const isc::log::MessageID AUTH_COMMAND_FAILED;
extern const isc::log::MessageID AUTH_CONFIG_CHANNEL_CREATED;
extern const isc::log::MessageID AUTH_CONFIG_CHANNEL_ESTABLISHED;
extern const isc::log::MessageID AUTH_CONFIG_CHANNEL_STARTED;
extern const isc::log::MessageID AUTH_CONFIG_LOAD_FAIL;
extern const isc::log::MessageID AUTH_CONFIG_UPDATE_FAIL;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_COMMAND;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_COMMAND_ERROR;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_FAILED;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_FAILED_UNEXPECTED;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE_NOCACHE;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_CONFIG_ERROR;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_DATASRC_ERROR;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_ERROR;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_STARTED;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_SUCCESS;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_STARTED;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_STOPPED;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_SHUTDOWN_ERROR;
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_SHUTDOWN_UNEXPECTED_ERROR;
extern const isc::log::MessageID AUTH_DATA_SOURCE;
extern const isc::log::MessageID AUTH_DNS_SERVICES_CREATED;
extern const isc::log::MessageID AUTH_HEADER_PARSE_FAIL;
extern const isc::log::MessageID AUTH_INVALID_STATISTICS_DATA;
extern const isc::log::MessageID AUTH_LOAD_TSIG;
extern const isc::log::MessageID AUTH_MEM_DATASRC_DISABLED;
extern const isc::log::MessageID AUTH_MEM_DATASRC_ENABLED;
extern const isc::log::MessageID AUTH_MESSAGE_FORWARD_ERROR;
extern const isc::log::MessageID AUTH_NOTIFY_QUESTIONS;
extern const isc::log::MessageID AUTH_NOTIFY_RRTYPE;
extern const isc::log::MessageID AUTH_NO_XFRIN;
extern const isc::log::MessageID AUTH_PACKET_PARSE_FAILED;
extern const isc::log::MessageID AUTH_PACKET_PROTOCOL_FAILURE;
extern const isc::log::MessageID AUTH_PACKET_RECEIVED;
extern const isc::log::MessageID AUTH_PROCESS_FAIL;
extern const isc::log::MessageID AUTH_RECEIVED_COMMAND;
extern const isc::log::MessageID AUTH_RECEIVED_NOTIFY;
extern const isc::log::MessageID AUTH_RECEIVED_NOTIFY_NOTAUTH;
extern const isc::log::MessageID AUTH_RESPONSE_FAILURE;
extern const isc::log::MessageID AUTH_RESPONSE_FAILURE_UNKNOWN;
extern const isc::log::MessageID AUTH_RESPONSE_RECEIVED;
extern const isc::log::MessageID AUTH_SEND_ERROR_RESPONSE;
extern const isc::log::MessageID AUTH_SEND_NORMAL_RESPONSE;
extern const isc::log::MessageID AUTH_SERVER_CREATED;
extern const isc::log::MessageID AUTH_SERVER_EXITING;
extern const isc::log::MessageID AUTH_SERVER_FAILED;
extern const isc::log::MessageID AUTH_SERVER_STARTED;
extern const isc::log::MessageID AUTH_SHUTDOWN;
extern const isc::log::MessageID AUTH_SQLITE3;
extern const isc::log::MessageID AUTH_START_DDNS_FORWARDER;
extern const isc::log::MessageID AUTH_STOP_DDNS_FORWARDER;
extern const isc::log::MessageID AUTH_UNSUPPORTED_OPCODE;
extern const isc::log::MessageID AUTH_XFRIN_CHANNEL_CREATED;
extern const isc::log::MessageID AUTH_XFRIN_CHANNEL_ESTABLISHED;
extern const isc::log::MessageID AUTH_ZONEMGR_COMMS;
extern const isc::log::MessageID AUTH_ZONEMGR_ERROR;
extern const isc::log::MessageID AUTH_ZONEMGR_NOTEXIST;

} // namespace auth
} // namespace isc

#endif // AUTH_MESSAGES_H
