// File created from ../../../src/lib/datasrc/sqlite3_datasrc_messages.mes on Mon Nov 18 2013 12:18

#ifndef SQLITE3_DATASRC_MESSAGES_H
#define SQLITE3_DATASRC_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace datasrc {

extern const isc::log::MessageID DATASRC_SQLITE_CLOSE;
extern const isc::log::MessageID DATASRC_SQLITE_COMPATIBLE_VERSION;
extern const isc::log::MessageID DATASRC_SQLITE_CONNCLOSE;
extern const isc::log::MessageID DATASRC_SQLITE_CONNOPEN;
extern const isc::log::MessageID DATASRC_SQLITE_CREATE;
extern const isc::log::MessageID DATASRC_SQLITE_DESTROY;
extern const isc::log::MessageID DATASRC_SQLITE_DROPCONN;
extern const isc::log::MessageID DATASRC_SQLITE_ENCLOSURE;
extern const isc::log::MessageID DATASRC_SQLITE_ENCLOSURE_NOT_FOUND;
extern const isc::log::MessageID DATASRC_SQLITE_FIND;
extern const isc::log::MessageID DATASRC_SQLITE_FINDADDRS;
extern const isc::log::MessageID DATASRC_SQLITE_FINDADDRS_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FINDEXACT;
extern const isc::log::MessageID DATASRC_SQLITE_FINDEXACT_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FINDREC;
extern const isc::log::MessageID DATASRC_SQLITE_FINDREF;
extern const isc::log::MessageID DATASRC_SQLITE_FINDREF_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FIND_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FIND_NSEC3;
extern const isc::log::MessageID DATASRC_SQLITE_FIND_NSEC3_NO_ZONE;
extern const isc::log::MessageID DATASRC_SQLITE_INCOMPATIBLE_VERSION;
extern const isc::log::MessageID DATASRC_SQLITE_NEWCONN;
extern const isc::log::MessageID DATASRC_SQLITE_OPEN;
extern const isc::log::MessageID DATASRC_SQLITE_PREVIOUS;
extern const isc::log::MessageID DATASRC_SQLITE_PREVIOUS_NO_ZONE;
extern const isc::log::MessageID DATASRC_SQLITE_SETUP;
extern const isc::log::MessageID DATASRC_SQLITE_SETUP_OLD_API;

} // namespace datasrc
} // namespace isc

#endif // SQLITE3_DATASRC_MESSAGES_H
