// File created from ../../../src/lib/nsas/nsas_messages.mes on Mon Nov 18 2013 12:18

#ifndef NSAS_MESSAGES_H
#define NSAS_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace nsas {

extern const isc::log::MessageID NSAS_EMPTY_RESPONSE;
extern const isc::log::MessageID NSAS_ERROR_RESPONSE;
extern const isc::log::MessageID NSAS_FIND_NS_ADDRESS;
extern const isc::log::MessageID NSAS_FOUND_ADDRESS;
extern const isc::log::MessageID NSAS_LOOKUP_CANCEL;
extern const isc::log::MessageID NSAS_NS_LOOKUP_FAIL;
extern const isc::log::MessageID NSAS_NULL_RESPONSE;
extern const isc::log::MessageID NSAS_SEARCH_ZONE_NS;
extern const isc::log::MessageID NSAS_UPDATE_RTT;
extern const isc::log::MessageID NSAS_WRONG_ANSWER;

} // namespace nsas
} // namespace isc

#endif // NSAS_MESSAGES_H
