// File created from ../../../src/lib/server_common/server_common_messages.mes on Mon Nov 18 2013 12:19

#ifndef SERVER_COMMON_MESSAGES_H
#define SERVER_COMMON_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace server_common {

extern const isc::log::MessageID SOCKETREQUESTOR_CREATED;
extern const isc::log::MessageID SOCKETREQUESTOR_DESTROYED;
extern const isc::log::MessageID SOCKETREQUESTOR_GETSOCKET;
extern const isc::log::MessageID SOCKETREQUESTOR_RELEASESOCKET;
extern const isc::log::MessageID SRVCOMM_ADDRESSES_NOT_LIST;
extern const isc::log::MessageID SRVCOMM_ADDRESS_FAIL;
extern const isc::log::MessageID SRVCOMM_ADDRESS_MISSING;
extern const isc::log::MessageID SRVCOMM_ADDRESS_TYPE;
extern const isc::log::MessageID SRVCOMM_ADDRESS_UNRECOVERABLE;
extern const isc::log::MessageID SRVCOMM_ADDRESS_VALUE;
extern const isc::log::MessageID SRVCOMM_EXCEPTION_ALLOC;
extern const isc::log::MessageID SRVCOMM_KEYS_DEINIT;
extern const isc::log::MessageID SRVCOMM_KEYS_INIT;
extern const isc::log::MessageID SRVCOMM_KEYS_UPDATE;
extern const isc::log::MessageID SRVCOMM_PORT_RANGE;
extern const isc::log::MessageID SRVCOMM_SET_LISTEN;
extern const isc::log::MessageID SRVCOMM_UNKNOWN_EXCEPTION_ALLOC;

} // namespace server_common
} // namespace isc

#endif // SERVER_COMMON_MESSAGES_H
