// File created from ../../../../src/lib/datasrc/memory/memory_messages.mes on Mon Nov 18 2013 12:19

#ifndef MEMORY_MESSAGES_H
#define MEMORY_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace datasrc {
namespace memory {

extern const isc::log::MessageID DATASRC_MEMORY_ANY_SUCCESS;
extern const isc::log::MessageID DATASRC_MEMORY_BAD_NSEC3_NAME;
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_ERROR;
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_WARNING;
extern const isc::log::MessageID DATASRC_MEMORY_CNAME;
extern const isc::log::MessageID DATASRC_MEMORY_DELEG_FOUND;
extern const isc::log::MessageID DATASRC_MEMORY_DNAME_ENCOUNTERED;
extern const isc::log::MessageID DATASRC_MEMORY_DNAME_FOUND;
extern const isc::log::MessageID DATASRC_MEMORY_DOMAIN_EMPTY;
extern const isc::log::MessageID DATASRC_MEMORY_EXACT_DELEGATION;
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3;
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3_COVER;
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3_MATCH;
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3_TRYHASH;
extern const isc::log::MessageID DATASRC_MEMORY_FIND_TYPE_AT_ORIGIN;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_RRSET;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_WILDCARD;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_ZONE;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_COEXIST;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DNAME_NS;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DUP_RRSET;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_FIND_ZONE;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_LOAD_FROM_DATASRC;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_LOAD_FROM_FILE;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_NO_NSEC3PARAM;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_OUT_OF_ZONE;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_SINGLETON;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_DNAME;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_NS;
extern const isc::log::MessageID DATASRC_MEMORY_NOT_FOUND;
extern const isc::log::MessageID DATASRC_MEMORY_NS_ENCOUNTERED;
extern const isc::log::MessageID DATASRC_MEMORY_SUCCESS;
extern const isc::log::MessageID DATASRC_MEMORY_SUPER_STOP;
extern const isc::log::MessageID DATASRC_MEMORY_WILDCARD_CANCEL;

} // namespace memory
} // namespace datasrc
} // namespace isc

#endif // MEMORY_MESSAGES_H
